Index: trunk/phpgwapi/templates/default/css/rochas.css
===================================================================
--- trunk/phpgwapi/templates/default/css/rochas.css	(revision 1719)
+++ trunk/phpgwapi/templates/default/css/rochas.css	(revision 2068)
@@ -494,5 +494,5 @@
 
 .message_options {
-	 color: #863 !important;
+	color: #863 !important;
 }
 
@@ -513,2 +513,60 @@
 }
 
+
+.conteudo { 
+	font-family: Verdana, Arial, Helvetica, sans-serif; 
+	font-size: 10px; 
+	font-weight: normal; 
+	color: #000033; 
+	padding: 1px; 
+	border-left:1px solid #4A79B1; 
+	width:99.5%; 
+	overflow: none; 
+	-moz-border-radius: 0px 0px 6px 6px; 
+} 
+
+.whiteSpace{ 
+	width: 2px; 
+} 
+.menu 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	/*    font: bold 13px Lucidatypewriter,monospace;*/ 
+	height: 20px;     
+	width:220px; 
+	background-color:#c8d7ea; 
+
+	/*    background-color: #F7F7F7;*/ 
+	margin-bottom: 0px; 
+	border: 1px solid #f4f7fc; 
+	border-bottom: 1px solid #4a79b1; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer; 
+} 
+
+.last_menu 
+{ 
+	border-bottom: 1px solid #4a79b1; 
+	-moz-border-radius: 0px 0px 0px 0px; 
+} 
+
+.menu-sel 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	font: bold 13px Lucidatypewriter,monospace; 
+	color:#0000FF; 
+	height: 20px; 
+	width:220px; 
+	background-color:#F7F7F7; 
+	margin-bottom: 0px; 
+	border: 1px solid #4a79b1; 
+	border-bottom: 0px; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer;     
+}
Index: trunk/phpgwapi/templates/default/css/escritorio.css
===================================================================
--- trunk/phpgwapi/templates/default/css/escritorio.css	(revision 1704)
+++ trunk/phpgwapi/templates/default/css/escritorio.css	(revision 2068)
@@ -484,2 +484,61 @@
 	background:transparent url(../../../../phpgwapi/templates/default/images/blackwhite.jpg) repeat-x;
 }
+
+
+.conteudo { 
+	font-family: Verdana, Arial, Helvetica, sans-serif; 
+	font-size: 10px; 
+	font-weight: normal; 
+	color: #000033; 
+	padding: 1px; 
+	border-left:1px solid #4A79B1; 
+	width:99.5%; 
+	overflow: none; 
+	-moz-border-radius: 0px 0px 6px 6px; 
+} 
+
+.whiteSpace{ 
+	width: 2px; 
+} 
+.menu 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	/*    font: bold 13px Lucidatypewriter,monospace;*/ 
+	height: 20px;     
+	width:220px; 
+	background-color:#c8d7ea; 
+
+	/*    background-color: #F7F7F7;*/ 
+	margin-bottom: 0px; 
+	border: 1px solid #f4f7fc; 
+	border-bottom: 1px solid #4a79b1; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer; 
+} 
+
+.last_menu 
+{ 
+	border-bottom: 1px solid #4a79b1; 
+	-moz-border-radius: 0px 0px 0px 0px; 
+} 
+
+.menu-sel 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	font: bold 13px Lucidatypewriter,monospace; 
+	color:#0000FF; 
+	height: 20px; 
+	width:220px; 
+	background-color:#F7F7F7; 
+	margin-bottom: 0px; 
+	border: 1px solid #4a79b1; 
+	border-bottom: 0px; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer;     
+}
Index: trunk/phpgwapi/templates/default/css/cataratas.css
===================================================================
--- trunk/phpgwapi/templates/default/css/cataratas.css	(revision 1719)
+++ trunk/phpgwapi/templates/default/css/cataratas.css	(revision 2068)
@@ -490,2 +490,60 @@
 	-moz-user-select: none;
 }
+
+.conteudo { 
+	font-family: Verdana, Arial, Helvetica, sans-serif; 
+	font-size: 10px; 
+	font-weight: normal; 
+	color: #000033; 
+	padding: 1px; 
+	border-left:1px solid #4A79B1; 
+	width:99.5%; 
+	overflow: none; 
+	-moz-border-radius: 0px 0px 6px 6px; 
+} 
+
+.whiteSpace{ 
+	width: 2px; 
+} 
+.menu 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	/*    font: bold 13px Lucidatypewriter,monospace;*/ 
+	height: 20px;     
+	width:220px; 
+	background-color:#c8d7ea; 
+
+	/*    background-color: #F7F7F7;*/ 
+	margin-bottom: 0px; 
+	border: 1px solid #f4f7fc; 
+	border-bottom: 1px solid #4a79b1; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer; 
+} 
+
+.last_menu 
+{ 
+	border-bottom: 1px solid #4a79b1; 
+	-moz-border-radius: 0px 0px 0px 0px; 
+} 
+
+.menu-sel 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	font: bold 13px Lucidatypewriter,monospace; 
+	color:#0000FF; 
+	height: 20px; 
+	width:220px; 
+	background-color:#F7F7F7; 
+	margin-bottom: 0px; 
+	border: 1px solid #4a79b1; 
+	border-bottom: 0px; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer;     
+}
Index: trunk/phpgwapi/templates/default/css/metropole.css
===================================================================
--- trunk/phpgwapi/templates/default/css/metropole.css	(revision 1514)
+++ trunk/phpgwapi/templates/default/css/metropole.css	(revision 2068)
@@ -565,2 +565,60 @@
 	border-bottom: 1px solid gray !important;
 }
+
+.conteudo { 
+	font-family: Verdana, Arial, Helvetica, sans-serif; 
+	font-size: 10px; 
+	font-weight: normal; 
+	color: #000033; 
+	padding: 1px; 
+	border-left:1px solid #4A79B1; 
+	width:99.5%; 
+	overflow: none; 
+	-moz-border-radius: 0px 0px 6px 6px; 
+} 
+
+.whiteSpace{ 
+	width: 2px; 
+} 
+.menu 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	/*    font: bold 13px Lucidatypewriter,monospace;*/ 
+	height: 20px;     
+	width:220px; 
+	background-color:#c8d7ea; 
+
+	/*    background-color: #F7F7F7;*/ 
+	margin-bottom: 0px; 
+	border: 1px solid #f4f7fc; 
+	border-bottom: 1px solid #4a79b1; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer; 
+} 
+
+.last_menu 
+{ 
+	border-bottom: 1px solid #4a79b1; 
+	-moz-border-radius: 0px 0px 0px 0px; 
+} 
+
+.menu-sel 
+{ 
+	text-decoration: none; 
+	text-align: center; 
+	font: bold 13px Lucidatypewriter,monospace; 
+	color:#FFFFFF; 
+	height: 20px; 
+	width:220px; 
+	background-color:#7F7F7F; 
+	margin-bottom: 0px; 
+	border: 1px solid #FFF; 
+	border-bottom: 0px; 
+	padding:0px 5px 0px 0px; 
+	-moz-border-radius: 9px 9px 0px 0px; 
+	-moz-user-select: none; 
+	cursor: pointer;     
+}