Index: /trunk/phpgwapi/setup/setup.inc.php
===================================================================
--- /trunk/phpgwapi/setup/setup.inc.php	(revision 1728)
+++ /trunk/phpgwapi/setup/setup.inc.php	(revision 2189)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'phpgwapi';
-	$setup_info['phpgwapi']['version']   = '2.1.000';
+	$setup_info['phpgwapi']['version']   = '2.2.000';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.0';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /trunk/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /trunk/phpgwapi/setup/tables_update.inc.php	(revision 1835)
+++ /trunk/phpgwapi/setup/tables_update.inc.php	(revision 2189)
@@ -1685,3 +1685,25 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.1.000';
+	function phpgwapi_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.000';
+		$GLOBALS['phpgw_setup']->oProc->CreateTable(
+			'phpgw_vfs_quota', array(
+				'fd' => array(
+					'directory'        => array('type' => 'varchar',   'precision' => 100,  'nullable' => False),
+					'quota_size'      => array('type' => 'integer', 'nullable' => False)
+				),
+				'pk' => array('directory'),
+				'fk' => array(),
+				'ix' => array(),
+				'uc' => array()
+			)
+		);
+		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_vfs','type', array ('type' => 'integer', 'nullable' => True));
+		$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_vfs','summary', array ('type' => 'bytea', 'nullable' => True));
+		$GLOBALS['phpgw_setup']->oProc->AlterColumn('phpgw_vfs','created', array('type' => 'timestamp'));
+		$GLOBALS['phpgw_setup']->oProc->AlterColumn('phpgw_vfs','modified', array('type' => 'timestamp'));
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /trunk/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 1728)
+++ /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 2189)
@@ -35,5 +35,5 @@
 	$setup_info['expressoAdmin1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: /trunk/news_admin/setup/setup.inc.php
===================================================================
--- /trunk/news_admin/setup/setup.inc.php	(revision 1728)
+++ /trunk/news_admin/setup/setup.inc.php	(revision 2189)
@@ -31,5 +31,5 @@
 	$setup_info['news_admin']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.1')
+		 'versions' => Array('2.2')
 	);
 
Index: /trunk/admin/setup/setup.inc.php
===================================================================
--- /trunk/admin/setup/setup.inc.php	(revision 1728)
+++ /trunk/admin/setup/setup.inc.php	(revision 2189)
@@ -47,5 +47,5 @@
 	$setup_info['admin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: /trunk/help/setup/setup.inc.php
===================================================================
--- /trunk/help/setup/setup.inc.php	(revision 1728)
+++ /trunk/help/setup/setup.inc.php	(revision 2189)
@@ -26,5 +26,5 @@
 	$setup_info['help']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.1')
+		 'versions' => Array('2.2')
 	);
 ?>
Index: /trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /trunk/jabberit_messenger/setup/setup.inc.php	(revision 1728)
+++ /trunk/jabberit_messenger/setup/setup.inc.php	(revision 2189)
@@ -27,5 +27,5 @@
 	$setup_info['jabberit_messenger']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: /trunk/contactcenter/setup/setup.inc.php
===================================================================
--- /trunk/contactcenter/setup/setup.inc.php	(revision 2154)
+++ /trunk/contactcenter/setup/setup.inc.php	(revision 2189)
@@ -76,5 +76,5 @@
 	$setup_info['contactcenter']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: /trunk/emailadmin/setup/setup.inc.php
===================================================================
--- /trunk/emailadmin/setup/setup.inc.php	(revision 1728)
+++ /trunk/emailadmin/setup/setup.inc.php	(revision 2189)
@@ -40,5 +40,5 @@
 	$setup_info['emailadmin']['depends'][] = array(
 		'appname'  => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 
Index: /trunk/preferences/setup/setup.inc.php
===================================================================
--- /trunk/preferences/setup/setup.inc.php	(revision 1728)
+++ /trunk/preferences/setup/setup.inc.php	(revision 2189)
@@ -28,5 +28,5 @@
 	$setup_info['preferences']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: /trunk/mobile/setup/setup.inc.php
===================================================================
--- /trunk/mobile/setup/setup.inc.php	(revision 1728)
+++ /trunk/mobile/setup/setup.inc.php	(revision 2189)
@@ -39,5 +39,5 @@
 	$setup_info['mobile']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>
Index: /trunk/calendar/setup/setup.inc.php
===================================================================
--- /trunk/calendar/setup/setup.inc.php	(revision 1728)
+++ /trunk/calendar/setup/setup.inc.php	(revision 2189)
@@ -52,4 +52,4 @@
 	$setup_info['calendar']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.1')
+		 'versions' => Array('2.2')
 	);
Index: /trunk/filemanager/setup/setup.inc.php
===================================================================
--- /trunk/filemanager/setup/setup.inc.php	(revision 2000)
+++ /trunk/filemanager/setup/setup.inc.php	(revision 2189)
@@ -35,5 +35,5 @@
 	(
 		 'appname' => 'phpgwapi',
-		 'versions' => array('2.1.000')
+		 'versions' => array('2.2.000')
 	);
 ?>
Index: /trunk/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/setup.inc.php	(revision 1728)
+++ /trunk/expressoMail1_2/setup/setup.inc.php	(revision 2189)
@@ -37,5 +37,5 @@
 	$setup_info['expressoMail1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('2.1')
+		'versions' => Array('2.2')
 	);
 ?>