Index: /trunk/setup/applications.php
===================================================================
--- /trunk/setup/applications.php	(revision 2)
+++ /trunk/setup/applications.php	(revision 2198)
@@ -170,5 +170,5 @@
 				$terror[] = $setup_info[$appname];
 
-				if ($setup_info[$appname]['tables'])
+				if ($setup_info[$appname])
 				{
 					$terror = $GLOBALS['phpgw_setup']->process->current($terror,$DEBUG);
Index: /trunk/filemanager/setup/setup.inc.php
===================================================================
--- /trunk/filemanager/setup/setup.inc.php	(revision 2189)
+++ /trunk/filemanager/setup/setup.inc.php	(revision 2198)
@@ -14,7 +14,19 @@
 	$setup_info['filemanager']['name']    = 'filemanager';
 	$setup_info['filemanager']['title']   = 'Filemanager';
-	$setup_info['filemanager']['version'] = '2.0.000';
+	$setup_info['filemanager']['version'] = '2.2.000';
 	$setup_info['filemanager']['app_order'] = 6;
 	$setup_info['filemanager']['enable']  = 1;
+
+
+	$setup_info['filemanager']['author'] = 'eGroupware 1.0';
+	$setup_info['filemanager']['license']  = 'GPL';
+	$setup_info['filemanager']['description'] = 'Great filemanager with good resources.';
+	$setup_info['filemanager']['note'] = 'Bassed on egw filemanager 1.0 changes by Alexandre Felipe Muller de Souza';
+	$setup_info['filemanager']['maintainer'] = array(
+		'name'  => 'Alexandre Felipe Muller de Souza',
+		'email' => 'amuller@celepar.pr.gov.br'
+	);
+
+//	$setup_info['filemanager']['tables'][] = 'phpgw_vfs_fake';
 
 
Index: /trunk/filemanager/setup/default_records.inc.php
===================================================================
--- /trunk/filemanager/setup/default_records.inc.php	(revision 2000)
+++ /trunk/filemanager/setup/default_records.inc.php	(revision 2198)
@@ -11,7 +11,11 @@
 
   /* $Id: default_records.inc.php 15588 2004-07-02 22:19:56Z ralfbecker $ */
-
+	$oProc->query("INSERT INTO phpgw_config VALUES ('filemanager','filemanager_quota_size',500)");
+	$oProc->query("INSERT INTO phpgw_config VALUES ('filemanager','filemanager_Max_file_size',20)");
+	$oProc->query('INSERT INTO phpgw_preferences VALUES (-2,\'filemanager\',\'a:19:{s:4:"name";s:1:"1";s:9:"mime_type";s:1:"1";s:4:"size";s:1:"1";s:7:"created";s:1:"1";s:8:"modified";s:1:"1";s:5:"owner";s:1:"1";s:12:"createdby_id";s:1:"1";s:13:"modifiedby_id";s:1:"1";s:3:"app";s:1:"0";s:7:"comment";s:1:"1";s:7:"version";s:1:"1";s:12:"viewinnewwin";s:1:"1";s:12:"viewonserver";s:1:"1";s:13:"viewtextplain";s:1:"1";s:6:"dotdot";s:1:"1";s:8:"dotfiles";s:1:"1";s:8:"pdf_type";s:8:"portrait";s:14:"pdf_paper_type";s:2:"a4";s:14:"files_per_page";s:3:"200";}\')');
 	$oProc->query("INSERT INTO phpgw_vfs (owner_id, createdby_id, modifiedby_id, created, modified, size, mime_type, deleteable, comment, app, directory, name, link_directory, link_name) VALUES (1,0,0,'1970-01-01',NULL,NULL,'Directory','Y',NULL,NULL,'/','', NULL, NULL)");
 	$oProc->query("INSERT INTO phpgw_vfs (owner_id, createdby_id, modifiedby_id, created, modified, size, mime_type, deleteable, comment, app, directory, name, link_directory, link_name) VALUES (2,0,0,'1970-01-01',NULL,NULL,'Directory','Y',NULL,NULL,'/','home', NULL, NULL)");
 
+
+
 ?>
Index: /trunk/filemanager/setup/tables_update.inc.php
===================================================================
--- /trunk/filemanager/setup/tables_update.inc.php	(revision 2198)
+++ /trunk/filemanager/setup/tables_update.inc.php	(revision 2198)
@@ -0,0 +1,18 @@
+<?php
+/**************************************************************************\
+ * eGroupWare - Setup                                                       *
+ * http://www.egroupware.org                                                *
+ * --------------------------------------------                             *
+ *  This program is free software; you can redistribute it and/or modify it *
+ *  under the terms of the GNU General Public License as published by the   *
+ *  Free Software Foundation; either version 2 of the License, or (at your  *
+ *  option) any later version.                                              *
+ \**************************************************************************/
+	$test[] = '2.1.00';
+	function filemanager_upgrade2_1_00()
+	{
+		$GLOBALS['setup_info']['filemanager']['currentver'] = '2.2.00';
+		return $GLOBALS['setup_info']['filemanager']['currentver'];
+	}
+
+?>